rte_swx_match_field_params(3)

NAME
rte_swx_match_field_params

SYNOPSIS

#include <rte_swx_pipeline.h>

  Data Fields

const char * name
enum rte_swx_table_match_type match_type

Detailed Description

Match field parameters.

Definition at line 641 of file rte_swx_pipeline.h.

Field Documentation

  const char* name
Match field name. Must be either a field of one of the registered packet headers ("h.header.field") or a field of the registered meta-data ("m.field").

Definition at line 646 of file rte_swx_pipeline.h.

  enum rte_swx_table_match_type match_type
Match type of the field.

Definition at line 649 of file rte_swx_pipeline.h.

Author

Generated automatically by Doxygen for DPDK from the source code.